com.verisign.epp.codec.nv

## Class EPPNameVerificationCreatePending

- java.lang.Object
- - com.verisign.epp.codec.nv.EPPNameVerificationCreatePending

- All Implemented Interfaces:
    EPPCodecComponent, EPPNameVerificationCreateResult, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationCreatePending
      extends java.lang.Object
      implements EPPNameVerificationCreateResult

  Create response for a successful domain name verification, which results in the return of a digitally signed domain verification code.
  See Also:
    `EPPNameVerificationCreateCmd`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPNameVerificationCreatePending`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPNameVerificationCreatePending`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationCreatePending()` `EPPNameVerificationCreatePending` default constructor.
    `EPPNameVerificationCreatePending(java.lang.String aCode, java.lang.String aType, EPPNameVerificationStatus aStatus, java.util.Date aCrDate)` `EPPNameVerificationCreatePending` constructor that takes the required attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationCreatePending`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationCreatePending` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationCreatePending` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationCreatePending` with this instance.
    `java.lang.String` | `getCode()` Gets the verification code value.
    `java.util.Date` | `getCreationDate()` Gets the creation date of the signed code.
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPNameVerificationCreatePending`.
    `EPPNameVerificationStatus` | `getStatus()` Gets the verification status.
    `java.lang.String` | `getType()` Gets the EPP response type associated with `EPPNameVerificationCreatePending`.
    `void` | `setCode(java.lang.String aCode)` Sets the verification code value.
    `void` | `setCreationDate(java.util.Date aCreationDate)` Sets the creation date of the signed code
    `void` | `setStatus(EPPNameVerificationStatus aStatus)` Sets the verification status.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPNameVerificationCreatePending`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPNameVerificationCreatePending`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationCreatePending

          public EPPNameVerificationCreatePending()

      `EPPNameVerificationCreatePending` default constructor.

    - #### EPPNameVerificationCreatePending

          public EPPNameVerificationCreatePending(java.lang.String aCode,
                                                  java.lang.String aType,
                                                  EPPNameVerificationStatus aStatus,
                                                  java.util.Date aCrDate)

      `EPPNameVerificationCreatePending` constructor that takes the required attributes.
      Parameters:
        `aCode` - The verification code value
        `aType` - The verification code type
        `aStatus` - The verification status
        `aCrDate` - The creation date of the signed code

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

      Gets the verification code value.
      Returns:
        Verification code value

    - #### setCode

          public void setCode(java.lang.String aCode)

      Sets the verification code value.
      Parameters:
        `aCode` - Verification code value.

    - #### getStatus

          public EPPNameVerificationStatus getStatus()

      Gets the verification status.
      Returns:
        Verification status

    - #### setStatus

          public void setStatus(EPPNameVerificationStatus aStatus)

      Sets the verification status.
      Parameters:
        `aStatus` - The verification status

    - #### getCreationDate

          public java.util.Date getCreationDate()

      Gets the creation date of the signed code.
      Returns:
        Creation date of the signed code

    - #### setCreationDate

          public void setCreationDate(java.util.Date aCreationDate)

      Sets the creation date of the signed code
      Parameters:
        `aCreationDate` - Creation date of the signed code

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationCreatePending` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPNameVerificationCreatePending instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPNameVerificationCreatePending instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPNameVerificationCreatePending` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationCreatePending` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationCreatePending`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPNameVerificationCreatePending`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPNameVerificationCreatePending`.
      Returns:
        `EPPNameVerificationCreatePending.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPNameVerificationCreatePending`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        `EPPNameVerificationMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationCreatePending` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.